//Einbinden der Bibliothek
//zum steuern eines Servomotors.
#include <Servo.h>

//Der Servomotor unten ist am
//digitalen Pin D6 angeschlossen.
#define servoUntenPin 6
//Der Servomotor "Platte" ist am
//digitalen Pin D7 angeschlossen.
#define servoPlattePin 7

//Die X Koordinate des linken Joysticks
//ist am analogen Pin A0 angeschlossen.
#define joystickXPin A0

//Die Y Koordinate des rechten Joysticks
//ist am analogen Pin A2 angeschlossen.
#define joystickYPin A2

//initialisieren von Servoobjekte
Servo servoUnten;
Servo servoPlatte;

void setup() {
  //verbinden des Pins vom Servo zum Objekt
  servoUnten.attach(servoUntenPin);
  servoPlatte.attach(servoPlattePin);
}

int getJoystickPos(int koordPin) {
  int joystickValue = analogRead(koordPin);
  int servoValue = -1;
  if (joystickValue > 511) {
    servoValue = map(joystickValue, 511, 1023, 90, 0);
  } else {
    servoValue = map(joystickValue, 511, 0, 90, 180);
  }
  return servoValue;
}

void loop() {
  //Zuweisen der neuen Position am Servoobjekt
  servoUnten.write(getJoystickPos(joystickXPin));
  servoPlatte.write(getJoystickPos(joystickYPin));
}
